import { Component, Input, Output, EventEmitter } from "@angular/core";

import { CheckField } from "../../formulaire/check-field";
import { FormulaireService } from "../../services/formulaire/formulaire.service";

@Component({
    selector: "check-field-line",
    templateUrl: "./check-field-line.component.html",
})
export class CheckFieldLineComponent {
    @Input("param")
    private _check: CheckField;

    private _currentValue: boolean;

    constructor(private formulaireService: FormulaireService) {
    }

    private onChange(event: any) {
        this._check.setValue(event);
    }
}
