import { ComputeNodeType } from "jalhyd";

import { Field } from "./field"
import { FormulaireDefinition } from "./formulaire-definition";


export abstract class InputField extends Field {
    private _value: any;

    constructor(type: ComputeNodeType, parentForm: FormulaireDefinition, isTmpl = false) {
        super(type, parentForm, isTmpl);
    }

    public getValue() {
        return this._value;
    }

    public setValue(val: any) {
        this._value = val;
    }
}
